Subject: Re: calling GetCommandLine from EGCS 1.0.2 and other EGCS trouble
From: [email-masked] (Christopher Faylor)

30 Mar 1998 18:36:58 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

In article <[email-masked]>,
Michael Lemke  <[email-masked]> wrote:
>On the weekend, I installed b19 with the b19.1 dll, egcs 1.0.2 from Mumit's
>site and tried to recompile a simple program for b19 that worked fine on b18.
>
>Problem:  It calls GetCommandLine (or what it's called -- no access to PC
>from here).  In b18 GetCommandLine returns every arg with a space appended,
>e.g.
>
>       foo arg1 arg2 arg3
>       
>returns in b18 (without the quotes)
>
>       "arg1 "
>       "arg2 "
>       "arg3 "

I don't understand what you're saying.  GetCommandLine returns a pointer
to the command line string.  Are you perhaps saying that arg3 does not
have a trailing space?  I believe that it might have in B18 but that is
no longer the case in B19.
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".